# hello friends !


# To Run the Website Locally

### Prerequisites

- [Node.js](https://nodejs.org/) version 18.17.1 or higher (we recommend using NVM to manage Node versions)
- [pnpm](https://pnpm.io/) (optional but recommended)

### Step 1: Install correct Node.js version

If you have NVM (Node Version Manager) installed:

```bash
nvm install 18.17.1
nvm use 18.17.1
```

Verify your Node.js version:

```bash
node -v
```

### Step 2: Install dependencies

```bash
npm install
```

### Step 3: Start the development server

```bash
npx astro dev
```

## Tech Stack

- [Astro](https://astro.build/) - The core framework
- [React](https://reactjs.org/) - For interactive components
- [Tailwind CSS](https://tailwindcss.com/) - For styling (find docs [here](https://tailwindcss.com/docs/installation/using-vite))
  - [TypeScript](https://www.typescriptlang.org/) - For type safety
  
# To release a new version

## Build in the docker image

``` bash
version=<specify-version>
docker build --platform linux/amd64 -t git.coopcloud.tech/rtm/rtmwebsite:$version .
```

## Push the image to gitea registery

Check out [this documentation](https://docs.gitea.com/next/usage/packages/container) for how to login with gitea registery.

``` bash
# If not in the same terminal session, rerun `version=...` line from last step
docker push git.coopcloud.tech/rtm/rtmwebsite:$version
```

## Update recipe

We use a [private recipe](https://git.coopcloud.tech/RTM/rtm-astro-recipe) to deploy this website, you will need to update the version in the compose.yml file and redoploy.

``` bash
abra app undeploy resisttechmonopolies.online
# wait 10 seconds
abra app deploy resisttechmonopolies.online
```
